%define api 5
%define major 5
%define oname qt5

%define module qtwebsockets

%define qtwebsockets %mklibname qt%{api}websockets %{major}
%define qtwebsocketsd %mklibname qt%{api}websockets -d

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.6.1
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5Qml) >= %{version}
BuildRequires:	pkgconfig(Qt5Quick) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{qtwebsockets}
Summary:	Qt %{api} WebSockets library
Group:		System/Libraries
Suggests:	qt5-qtwebsockets-i18n

%description -n %{qtwebsockets}
Qt %{api} WebSockets library.

%files -n %{qtwebsockets}
%{_qt5_libdir}/libQt%{api}WebSockets.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}WebSockets.so.%{major}*
%endif
%{_qt5_prefix}/qml/Qt/WebSockets
%{_qt5_prefix}/qml/QtWebSockets

#----------------------------------------------------------------------------

%package -n %{qtwebsocketsd}
Summary:	Development files for the Qt %{api} WebSockets library
Group:		Development/KDE and Qt
Requires:	%{qtwebsockets} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qtwebsocketsd}
Development files for version 5 of the QtWebSockets library.

%files -n %{qtwebsocketsd}
%{_qt5_includedir}/QtWebSockets
%{_qt5_libdir}/libQt%{api}WebSockets.so
%{_qt5_libdir}/libQt%{api}WebSockets.prl
%{_qt5_libdir}/cmake/Qt%{api}WebSockets
%{_qt5_libdir}/pkgconfig/Qt%{api}WebSockets.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}WebSockets.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_websockets.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_websockets_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
Conflicts:	qt5-doc < 5.6.0
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtwebsockets.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt
Conflicts:	qt5-examples < 5.6.0

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/websockets/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Sun Jun 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.1-1
- (b8e7f7a) New version 5.6.1


